Inbox and fans
List creator fan lists
List platform fan lists belonging to a creator, with their supported pagination and filter options.
GET
/v1/agencies/{agencyId}/creators/{creatorId}/fan-listsList platform fan lists belonging to a creator, with their supported pagination and filter options.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Query Parameters
limit?never
offset?number
Default
0cursor?number|null
order?string
Default
"asc"Value in
- "asc"
- "desc"
isChat?boolean
Default
trueview?string
Default
"tiny"Value in
- "tiny"
- "queue"
onlyPinned?boolean
Default
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/creators/string/fan-lists" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "nextCursor": null, "lists": [ { "usersCount": 0, "isPinnedToChat": true, "id": "string", "name": "string", "type": "string" } ], "hasMore": true }, "meta": { "requestId": "string" }}Create message export POST
Queue an export of creator message history using the supplied filters. Export creation is asynchronous; inspect export status before downloading the file.
Create creator fan list POST
Create a named platform fan list for the creator. Add fans separately using add_fan_to_lists.